Package Details: translate-shell-git 0.9.6.11.r5.g0115103-1

Git Clone URL: https://aur.archlinux.org/translate-shell-git.git (read-only, click to copy)
Package Base: translate-shell-git
Description: A command-line interface and interactive shell for Google Translate.
Upstream URL: https://www.soimort.org/translate-shell/
Licenses: custom:PublicDomain
Conflicts: translate-shell
Provides: translate-shell
Submitter: m13253
Maintainer: mehalter
Last Packager: mehalter
Votes: 23
Popularity: 0.002903
First Submitted: 2014-08-24 05:05
Last Updated: 2019-12-04 18:23

Dependencies (11)

Required by (3)

Sources (1)

Latest Comments

1 2 Next › Last »

mehalter commented on 2020-09-16 23:17

@naraesk this package pulls the latest from the master branch of the github repository, so there are not per-version updates. You should be able to update using your AUR helper, for example if you use yay, you can run "yay -Syu --devel" to tell it to check for new versions in development packages such as this and it will update to the latest git commit. I currently have this package installed with v0.9.6.12.r3.g04102e0 and it is working well. Let me know if you have any troubles getting it updated!

naraesk commented on 2020-09-16 01:07

Thanks for providing this package. Update to 0.9.6.12 would be cool since it fixes bing. :)

escondida commented on 2019-04-17 01:47

The script works correctly using Arch's build tools; try using makepkg.

In general, AUR "helpers" such as yaourt are not supported, because they tend to break in unpredictable ways.

shillshocked commented on 2019-04-17 01:17

install: cannot stat '/tmp/yaourt-tmp-destiny/aur-translate-shell-git/trans': No such file or directory make: *** [Makefile:36: install] Error 1 ==> ERROR: A failure occurred in package(). Aborting... ==> ERROR: Makepkg was unable to build translate-shell-git.

dulice commented on 2017-11-24 10:52

need fix conflict with translate-shell package. When it compile I get:

translate-shell-git: /usr/bin/trans present on filesystem
translate-shell-git: /usr/share/licenses/translate-shell/LICENSE present filesystem
translate-shell-git: /usr/share/man/man1/trans.1.gz present on filesystem

(I traslated log - sorry for bad english)

m13253 commented on 2015-04-12 11:43

@dkasak
Fixed.

dkasak commented on 2015-04-09 03:15

Doesn't build anymore. The relevant build output:

[OK] Task build completed.
install: cannot create regular file ‘/usr/local/bin/trans’: Permission denied
Makefile:25: recipe for target 'install' failed
make: *** [install] Error 1

thiagowfx commented on 2015-01-28 19:12

Hi, thanks for your reply.

You are right, actually.

I removed it because I was having some trouble with zsh while using the bash version: when you do that, suddenly the functionality of the program is limited -- in particular, `trans -E` does nothing.

But using the bash version -- or, alternatively, executing `/usr/bin/trans -E` in zsh instead of simply `trans -E` works okay.

Thanks for pointing this out -- I'll re-add emacs.

m13253 commented on 2015-01-25 05:50

@thiagowfx

Why are you removing "emacs" from optdepends?
Its website says there is an optional Emacs mode which depends on emacs.

m13253 commented on 2015-01-25 00:45

@thiagowfx

Thank you. But I am outside currently.
I will improve my package late this evening when I get home.